$(document).ready(function () {
    "use strict";
    autosize($("textarea"));

    var formFeedback;
    formFeedback = document.forms.feedback;

    $("input[type=\"submit\"]").on("click", function (e) {
        var formData;
        e.stopPropagation();
        formData = new FormData(formFeedback);

        $.ajax({
            url: formFeedback.getAttribute("data-url"),
            type: "POST",
            contentType: false,
            processData: false,
            data: formData,
            success: function(data) {
                if (data.result) {
                    $(formFeedback).hide();
                    $(".b-content__form-finish").show();
                } else {
                    console.log(data.msg);
                }

            },
            error: function(e) {
                console.log("error: ", e);
            }
        });
        return false;
    });

    // var $sectionForm = $('.b-content__form');

    // var formContact = document.forms.contact;
    // $(formContact).validate({
    //   focusCleanup: true,
    //   submitHandler: function(form) {
    //     var formData               = new FormData(form);

    //     $(form).slideUp(200);
    //     $('.b-content__contact .title').slideUp(200);
    //     $('.b-content__form-finish').show(200);

    //     $.ajax({
    //       url: '/PHPmailer.php',
    //       type: 'POST',
    //       contentType: false,
    //       processData: false,
    //       data: formData,
    //       success: function(data) {
    //       },
    //       error: function(e) {
    //          console.log('error: ', e);
    //       }
    //     });
    //   },
    //   rules: {
    //     name : {
    //       required: true
    //     },
    //     email: {
    //       required: true,
    //       email: true
    //     },
    //     company : {
    //       required: true
    //     }
    //   },
    //   messages: {
    //     name: {
    //       required: 'Как Вас зовут',
    //     },
    //     email: {
    //       required: 'Укажите Ваш e-mail',
    //       email: 'Пожалуйста, проверьте правильность написания адресса'
    //     },
    //     company: {
    //       required: 'Введите название Вашей компании'
    //     }
    //   }
    // });

});